Retrieve a batch of Blog Authors
curl --request POST \
--url https://api.hubapi.com/cms/blogs/2026-03/authors/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"inputs": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/cms/blogs/2026-03/authors/batch/read"
payload = { "inputs": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({inputs: ['<string>']})
};
fetch('https://api.hubapi.com/cms/blogs/2026-03/authors/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"avatar": "<string>",
"bio": "<string>",
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"facebook": "<string>",
"fullName": "<string>",
"id": "<string>",
"linkedin": "<string>",
"name": "<string>",
"slug": "<string>",
"translatedFromId": 123,
"twitter": "<string>",
"updated": "2023-11-07T05:31:56Z",
"website": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"avatar": "<string>",
"bio": "<string>",
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"facebook": "<string>",
"fullName": "<string>",
"id": "<string>",
"linkedin": "<string>",
"name": "<string>",
"slug": "<string>",
"translatedFromId": 123,
"twitter": "<string>",
"updated": "2023-11-07T05:31:56Z",
"website": "<string>"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}一括
Retrieve a batch of authors
Retrieve the Blog Author objects identified in the request body.
POST
/
cms
/
blogs
/
2026-03
/
authors
/
batch
/
read
Retrieve a batch of Blog Authors
Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
Specifies whether to return deleted Blog Authors. Defaults to false.
ボディ
*/*
Strings to input.
レスポンス
successful operation
Time of batch operation completion.
Results of batch operation.
Show child attributes
Show child attributes
Time of batch operation start.
Status of batch operation.
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING Links associated with batch operation.
Show child attributes
Show child attributes
Time of batch operation request.
最終更新日 2026年4月10日
⌘I